%define debug_package %{nil}

Name:		libfwevt
Version:	20231119
Release:	1%{?dist}
Summary:	Library to support Windows XML Event Log (EVTX) data types.
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-experimental-%{version}.tar.gz
URL:		https://github.com/libyal/libfwevt/wiki
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	autoconf automake pkgconfig gettext-devel libtool

%description
libfwevt is a library to support Windows XML Event Log (EVTX) data types.

%description -n libfwevt
Library to support the Windows XML Event Log (EVTX) data types

%package -n libfwevt-static
Summary: Library to support the Windows XML Event Log (EVTX) data types
Group: Development/Libraries
Requires: libfwevt = %{version}-%{release}

%description -n libfwevt-static
Static library version of libfwevt.

%package -n libfwevt-devel
Summary: Header files and libraries for developing applications for libfwevt
Group: Development/Libraries
Requires: libfwevt = %{version}-%{release}

%description -n libfwevt-devel
Header files and libraries for developing applications for libfwevt.

%package -n libfwevt-python3
Summary: Python 3 bindings for libfwevt
Group: System Environment/Libraries
Requires: libfwevt = %{version}-%{release} python3
BuildRequires: python3-devel python3-setuptools

%description -n libfwevt-python3
Python 3 bindings for libfwevt

%prep
%setup -q

%if 0%{?centos} == 7
sudo update-alternatives --set python /usr/bin/python3
%endif
%build
if [ -f synclibs.sh ]; then sh synclibs.sh; fi
if [ -f autogen.sh  ]; then sh autogen.sh;  fi
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python
find . -type f -exec grep -l system_string_vsnprintf '{}' /dev/null \; | while read f
do
        sed --in-place s/system_string_vsnprintf/vsnprintf/g $f
done
make %{?_smp_mflags}
%if 0%{?centos} == 7
sudo update-alternatives --set python /usr/bin/python2
%endif

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -n libfwevt
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/*.so.*

%files -n libfwevt-static
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/*.a

%files -n libfwevt-devel
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/*.so
%{_libdir}/pkgconfig/libfwevt.pc
%{_includedir}/*
%{_mandir}/man3/*

%files -n libfwevt-python3
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/python3*/site-packages/*.a
%{_libdir}/python3*/site-packages/*.so

%changelog
* Sun Nov 19 2023 Lawrence R. rogers <lrr@cert.org> 20231119-1
- Release 20231119-1
	Version 20231119

* Mon Apr 10 2023 Lawrence R. rogers <lrr@cert.org> 20230410-1
- Release 20230410-1
	Version 20230410

* Sun Sep 25 2022 Lawrence R. rogers <lrr@cert.org> 20220925-1
- Release 20220925-1
	Version 20220925

* Wed Jan  2 2019 Lawrence R. rogers <lrr@cert.org> 20190102-1
- Release 20190102-1
	Version 20190102

* Wed Jan 24 2018 Lawrence R. rogers <lrr@cert.org> 20180124-1
- Release 20180124-1
	Version 20180124

* Mon Jul 10 2017 Joachim Metz <joachim.metz@gmail.com> 20170114-1
- Auto-generated

